Toggle menu
Toggle personal menu
Not logged in
Your IP address will be publicly visible if you make any edits.

Template:Home/NavigationServers/styles.css: Difference between revisions

Template page
No edit summary
No edit summary
Line 1: Line 1:
.profile-iconbox {
.profile-iconbox {
position: relative;
position: relative;
background: var( --color-surface-1 );
background: #242a31;
border-radius: 8px;
border-radius: 8px;
box-shadow: 0 3px 6px rgba( 0, 0, 0, 0.04 ), 0 3px 6px rgba( 0, 0, 0, 0.0575 );
box-shadow: 0 3px 6px rgba( 0, 0, 0, 0.04 ), 0 3px 6px rgba( 0, 0, 0, 0.0575 );
Line 31: Line 31:
.profile-iconbox__img img {
.profile-iconbox__img img {
   transition: transform 250ms cubic-bezier(0.215,0.61,0.355,1);
   transition: transform 250ms cubic-bezier(0.215,0.61,0.355,1);
   height: 100%;
   height: 4rem;
   width: 100%;
   width: 100%;
  object-fit: cover;
}
}


Line 38: Line 39:
   transform: scale(1.1);
   transform: scale(1.1);
   transition: transform 250ms cubic-bezier(0.215,0.61,0.355,1);
   transition: transform 250ms cubic-bezier(0.215,0.61,0.355,1);
   height: 100%;
   height: 4rem;
   width: 100%;
   width: 100%;
}
}

Revision as of 04:56, 28 July 2023

.profile-iconbox {
	position: relative;
	background: #242a31;
	border-radius: 8px;
	box-shadow: 0 3px 6px rgba( 0, 0, 0, 0.04 ), 0 3px 6px rgba( 0, 0, 0, 0.0575 );
	font-size: 0.875rem;
	overflow: hidden;
    display: inline-block;
    min-width: 170px;
    width: 100%;
    height: 4rem;
}
.profile-iconbox .profile-iconbox__img a {
	display: block;
	height: 100%;
}

.profile-iconbox .profile-iconbox__img:after {
	position: absolute;
	pointer-events: none;
	right: 0;
	bottom: 0;
	left: 0;
	display: block;
    height: 100%;
    background: linear-gradient(to right,rgba(0,0,0,0.8),transparent);
	border-radius: 0 0 8px 8px;
	content: '';
}

.profile-iconbox__img img {
  transition: transform 250ms cubic-bezier(0.215,0.61,0.355,1);
  height: 4rem;
  width: 100%;
  object-fit: cover;
}

.profile-iconbox__img img:hover {
  transform: scale(1.1);
  transition: transform 250ms cubic-bezier(0.215,0.61,0.355,1);
  height: 4rem;
  width: 100%;
}

.profile-iconbox__foreground {
	position: absolute;
}

.profile-iconbox__foreground .profile-iconbox__label {
	color: #bababa;
}

.profile-iconbox__foreground .profile-iconbox__header {
	color: #fff;
}
.profile-iconbox .profile-iconbox__foreground {
	pointer-events: none;
	bottom: 27%;
	left: 15px;
}
.home-card__foreground .profile-iconbox__label {
	color: #bababa;
}
.profile-iconbox__label {
	color: var( --color-base--subtle );
	font-size: 0.8125rem;
	letter-spacing: 0.75px;
}
h3.profile-iconbox__header {
	margin-top: 0;
	font-size: 1rem;
}

.profile-iconbox__header a {
	display: flex;
	align-items: center;
	justify-content: space-between;
}

.profile-iconbox__header a:after {
	content: '▶';
	font-size: 0.8125rem;
}